> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranets-b2b/consumer/{id} > Get a B2B extranet consumer ## OpenAPI ````json GET /v1/extranets-b2b/consumer/{id} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranets-b2b/consumer/{id}": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsB2bConsumerIdGetResponse" } } } } }, "description": "Get a B2B extranet consumer" } } }, "components": { "schemas": { "v1ExtranetsB2bConsumerIdGetResponse": { "type": "object", "properties": { "consumerId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "policy": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ExtranetConsumerLanSegmentPolicyResponse" } }, "serviceName": { "type": "string", "example": "example string" }, "siteInformation": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bSiteInformation" } } }, "additionalProperties": false }, "manaV2ExtranetConsumerLanSegmentPolicyResponse": { "type": "object", "properties": { "consumerLanSegment": { "type": "integer", "format": "int64", "example": 1234567891011 }, "inboundSecurityRules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SecurityPolicyRule" } }, "outboundSecurityRules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SecurityPolicyRule" } }, "restrictedPrefixes": { "type": "array", "items": { "type": "string", "example": "example string" } }, "rules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ExtranetConsumerNatRule" } }, "trafficRules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2TrafficPolicyRule" } } }, "additionalProperties": false }, "manaV2B2bSiteInformation": { "type": "object", "properties": { "bwAllocationSiteLists": { "type": "integer", "format": "int32", "example": 123, "description": "Total Bandwidth allocation for the service on these site lists" }, "bwAllocationSites": { "type": "integer", "format": "int32", "example": 123, "description": "Total Bandwidth allocation for the service on these sites" }, "policerSiteLists": { "$ref": "#/components/schemas/manaV2Policer" }, "policerSites": { "$ref": "#/components/schemas/manaV2Policer" }, "siteLists": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Site list IDs where the service is deployed" } }, "sites": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Site IDs where the service is deployed" } } }, "additionalProperties": false }, "manaV2SecurityPolicyRule": { "type": "object", "properties": { "action": { "type": "string", "example": "ENUM_VALUE" }, "implicit": { "type": "boolean", "example": true }, "match": { "$ref": "#/components/schemas/manaV2PolicyMatch" }, "policyRuleIndex": { "type": "integer", "format": "int64", "example": 1234567891011 }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2ExtranetConsumerNatRule": { "type": "object", "properties": { "outsideNatPrefix": { "type": "string", "example": "example string", "description": "Optional nat prefix associated with a service prefix with an empty string indicating no NATing" }, "servicePrefix": { "type": "string", "example": "10.1.2.0/24", "description": "Service prefix for the NAT rule (required)" } }, "additionalProperties": false, "required": [ "servicePrefix" ] }, "manaV2TrafficPolicyRule": { "type": "object", "properties": { "action": { "$ref": "#/components/schemas/manaV2TrafficPolicyAction" }, "match": { "$ref": "#/components/schemas/manaV2PolicyMatch" }, "policyRuleIndex": { "type": "integer", "format": "int64", "example": 1234567891011 }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2Policer": { "type": "object", "properties": { "burstSize": { "type": "integer", "format": "int32", "example": 123, "description": "Burst size for the policer (required)" }, "bw": { "type": "integer", "format": "int32", "example": 123, "description": "Bandwidth for the policer (required)" } }, "additionalProperties": false, "required": [ "burstSize", "bw" ] }, "manaV2PolicyMatch": { "type": "object", "properties": { "destinationPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "destinationPrefix": { "type": "string", "example": "example string" }, "icmpType": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "protocol": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePrefix": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2TrafficPolicyAction": { "type": "object", "properties": { "backup": { "type": "string", "example": "ENUM_VALUE", "description": "Backup circuit for the traffic policy action" }, "class": { "type": "string", "example": "ENUM_VALUE", "description": "Class for the traffic policy action" }, "primary": { "type": "string", "example": "ENUM_VALUE", "description": "Primary circuit for the traffic policy action" }, "result": { "type": "string", "example": "ENUM_VALUE", "description": "Result for the traffic policy action" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````